
PROJECT(TumorSim)

ADD_EXECUTABLE(TumorSim
  ${TUMORSIM_ROOT}/Misc/Log.cxx
  ${TUMORSIM_ROOT}/Misc/MersenneTwisterRNG.cxx
  ${TUMORSIM_ROOT}/Misc/Timer.cxx
  ${TUMORSIM_ROOT}/Misc/muFile.cxx
  ${TUMORSIM_ROOT}/DTI/DiffusionTensor.cxx
  ${TUMORSIM_ROOT}/DTI/DTImageInterpolator.cxx
  ${TUMORSIM_ROOT}/DTI/DTImageWarpFilter.cxx
  ${TUMORSIM_ROOT}/DTI/DTImageReader.cxx
  ${TUMORSIM_ROOT}/DTI/DTImageScalarSource.cxx
  ${TUMORSIM_ROOT}/DTI/DTImageWriter.cxx
  ${TUMORSIM_ROOT}/DTI/FastTensorMatrixMath.cxx
  ${TUMORSIM_ROOT}/DTI/TensorMatrixMath.cxx
  ${TUMORSIM_ROOT}/Misc/TumorSimulationParametersXMLFile.cxx
  ${TUMORSIM_ROOT}/Misc/InverseDeformationFilter.cxx
  ${TUMORSIM_ROOT}/Misc/KMeansEstimator.cxx
  ${TUMORSIM_ROOT}/Misc/vtkQhullDelaunay3D.cxx
  ${TUMORSIM_ROOT}/Misc/qhull/user.c
  ${TUMORSIM_ROOT}/Misc/qhull/global.c
  ${TUMORSIM_ROOT}/Misc/qhull/stat.c
  ${TUMORSIM_ROOT}/Misc/qhull/io.c
  ${TUMORSIM_ROOT}/Misc/qhull/geom2.c
  ${TUMORSIM_ROOT}/Misc/qhull/poly2.c
  ${TUMORSIM_ROOT}/Misc/qhull/merge.c
  ${TUMORSIM_ROOT}/Misc/qhull/qhull.c
  ${TUMORSIM_ROOT}/Misc/qhull/geom.c
  ${TUMORSIM_ROOT}/Misc/qhull/poly.c
  ${TUMORSIM_ROOT}/Misc/qhull/qset.c
  ${TUMORSIM_ROOT}/Misc/qhull/mem.c
  ${TUMORSIM_ROOT}/Simulator/createMesh3D.cxx
  ${TUMORSIM_ROOT}/Simulator/ContrastEnhancementFilter.cxx
  ${TUMORSIM_ROOT}/Simulator/DTImageDestructiveWarpFilter.cxx
  ${TUMORSIM_ROOT}/Simulator/LinearTetrahedralMesh.cxx
  ${TUMORSIM_ROOT}/Simulator/TumorMassEffectGenerator.cxx
  ${TUMORSIM_ROOT}/Simulator/TumorEdemaInfiltrationGenerator.cxx
  ${TUMORSIM_ROOT}/Simulator/TumorSimulationParameters.cxx
  ${TUMORSIM_ROOT}/Simulator/VonMisesFisherDistribution.cxx
  tumorsim_main.cxx
)

TARGET_LINK_LIBRARIES(TumorSim ${ITK_LIBRARIES} ${VTK_LIBRARIES})

